<!DOCTYPE html>
<html lang="pl" xmlns:th="http://www.thymeleaf.org">
<body>

<div class="" th:fragment="shopping-cart">
    <table class="table">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">Produkt</th>
            <th scope="col">Ilość</th>
            <th scope="col">Cena</th>
            <th scope="col">Akcja</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="orderLine, iter : ${shoppingCart.orderLineList}">
            <th scope="row" th:text="${iter.index} + 1">Index</th>
            <td th:text="${orderLine.product.getName}">Product name</td>
            <td th:text="${orderLine.quantity}">Quantity</td>
            <td th:text="${#numbers.formatDecimal(orderLine.price * orderLine.quantity, 0, 'COMMA', 2, 'POINT') + ' PLN'}">Product price</td>
            <td class="row">

                <form method="post" th:action="@{/shopping-cart/increment-quantity}">
                    <input type="hidden" name="productId" th:value="${orderLine.product.getId}">
                    <button class="btn btn-outline-success m-1" type="submit" name="increment quantity">
                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-bag-plus" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M8 1a2.5 2.5 0 0 0-2.5 2.5V4h5v-.5A2.5 2.5 0 0 0 8 1zm3.5 3v-.5a3.5 3.5 0 1 0-7 0V4H1v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V4h-3.5zM2 5v9a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1V5H2z"/>
                            <path fill-rule="evenodd" d="M8 7.5a.5.5 0 0 1 .5.5v1.5H10a.5.5 0 0 1 0 1H8.5V12a.5.5 0 0 1-1 0v-1.5H6a.5.5 0 0 1 0-1h1.5V8a.5.5 0 0 1 .5-.5z"/>
                        </svg>
                    </button>
                </form>

                <form method="post" th:action="@{/shopping-cart/decrement-quantity}">
                    <input type="hidden" name="productId" th:value="${orderLine.product.getId}">
                    <button th:class="${orderLine.getQuantity == 1 ? 'btn btn-outline-secondary m-1' : 'btn btn-outline-danger m-1'}" type="submit" name="decrement quantity" th:disabled="${orderLine.getQuantity == 1 ? true : false}">
                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-bag-dash" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path fill-rule="evenodd" d="M8 1a2.5 2.5 0 0 0-2.5 2.5V4h5v-.5A2.5 2.5 0 0 0 8 1zm3.5 3v-.5a3.5 3.5 0 1 0-7 0V4H1v10a2 2 0 0 0 2 2h10a2 2 0 0 0 2-2V4h-3.5zM2 5v9a1 1 0 0 0 1 1h10a1 1 0 0 0 1-1V5H2z"/>
                            <path fill-rule="evenodd" d="M5.5 10a.5.5 0 0 1 .5-.5h4a.5.5 0 0 1 0 1H6a.5.5 0 0 1-.5-.5z"/>
                        </svg>
                    </button>
                </form>

                <form method="post" th:action="@{/shopping-cart/remove-from-cart}">
                    <input type="hidden" name="productId" th:value="${orderLine.product.getId}">
                    <button class="btn btn-danger m-1" type="submit" name="remove from cart">
                        <svg width="1em" height="1em" viewBox="0 0 16 16" class="bi bi-trash" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                            <path d="M5.5 5.5A.5.5 0 0 1 6 6v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm2.5 0a.5.5 0 0 1 .5.5v6a.5.5 0 0 1-1 0V6a.5.5 0 0 1 .5-.5zm3 .5a.5.5 0 0 0-1 0v6a.5.5 0 0 0 1 0V6z"/>
                            <path fill-rule="evenodd" d="M14.5 3a1 1 0 0 1-1 1H13v9a2 2 0 0 1-2 2H5a2 2 0 0 1-2-2V4h-.5a1 1 0 0 1-1-1V2a1 1 0 0 1 1-1H6a1 1 0 0 1 1-1h2a1 1 0 0 1 1 1h3.5a1 1 0 0 1 1 1v1zM4.118 4L4 4.059V13a1 1 0 0 0 1 1h6a1 1 0 0 0 1-1V4.059L11.882 4H4.118zM2.5 3V2h11v1h-11z"/>
                        </svg>
                    </button>
                </form>

            </td>
        </tr>
        </tbody>
    </table>
    <div class="text-center" th:if="${shoppingCart.orderLineList.empty}">
        <h2 th:text="'Koszyk jest pusty...'"></h2>
    </div>
</div>

<div class="text-right" th:unless="${shoppingCart.orderLineList.empty}">
    <p th:text="'Suma: ' + ${#numbers.formatDecimal(summaryPrice, 0, 'COMMA', 2, 'POINT') + ' PLN'}">Summary price</p>
    <a class="btn btn-primary" th:fragment="order" th:text="Zamów" th:href="@{/order}">Order button</a>
</div>

</body>
</html>